#!/bin/sh
#
#

SUDO=sudo

CPU_START=0
CPU_ADD=7
CPU_END=`expr $CPU_START + $CPU_ADD`
CPU_OFF=128

# configure fanout thread cpu bindings
# for the physical & vnic devices on
# the driver side
for I in 2 6
do
	echo "Setup fanout for ixgbe${I}"
	echo "${CPU_START}-${CPU_END}"
        $SUDO dladm set-linkprop -p cpus=${CPU_START}-${CPU_END}  ixgbe${I}
        $SUDO dladm set-linkprop -p cpus=${CPU_START}-${CPU_END}  ixgbe${I}v1
        CPU_START=`expr $CPU_START + $CPU_OFF`
        CPU_END=`expr $CPU_START + $CPU_ADD`
done

CPU_START=0
CPU_ADD=7
CPU_END=`expr $CPU_START + $CPU_ADD`
CPU_OFF=128

# configure fanout thread cpu bindings
# for the physical & vnic devices
# on the database side
for I in 5 4
do
	echo "Setup fanout for ixgbe${I}"
	echo "${CPU_START}-${CPU_END}"
        $SUDO dladm set-linkprop -p cpus=${CPU_START}-${CPU_END}  ixgbe${I}
        $SUDO dladm set-linkprop -p cpus=${CPU_START}-${CPU_END}  ixgbe${I}v1
        CPU_START=`expr $CPU_START + $CPU_OFF`
        CPU_END=`expr $CPU_START + $CPU_ADD`
done

