sqlplus "/as sysdba" << !
spool createTS_O.out
DROP TABLESPACE O_cust_space INCLUDING CONTENTS;
DROP TABLESPACE O_custinv_space INCLUDING CONTENTS;
DROP TABLESPACE O_ords_space INCLUDING CONTENTS;
DROP TABLESPACE O_ordl_space INCLUDING CONTENTS;
DROP TABLESPACE O_item_space INCLUDING CONTENTS;

CREATE BIGFILE TABLESPACE O_cust_space
        DATAFILE '$DB_DIR/O_cust' SIZE 200000M REUSE
        EXTENT MANAGEMENT LOCAL UNIFORM SIZE 10M SEGMENT SPACE MANAGEMENT AUTO;
CREATE BIGFILE TABLESPACE O_custinv_space
        DATAFILE '$DB_DIR/O_custinv' SIZE 500000M REUSE 
        EXTENT MANAGEMENT LOCAL UNIFORM SIZE 10M SEGMENT SPACE MANAGEMENT AUTO;
CREATE BIGFILE TABLESPACE O_ords_space
        DATAFILE '$DB_DIR/O_ords' SIZE 50000M REUSE 
        EXTENT MANAGEMENT LOCAL UNIFORM SIZE 10M SEGMENT SPACE MANAGEMENT AUTO;
CREATE BIGFILE TABLESPACE O_ordl_space
        DATAFILE '$DB_DIR/O_ordl' SIZE 80000M REUSE 
        EXTENT MANAGEMENT LOCAL UNIFORM SIZE 10M SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE O_item_space
        DATAFILE '$DB_DIR/O_item' SIZE 1000M REUSE 
        EXTENT MANAGEMENT LOCAL UNIFORM SIZE 10M SEGMENT SPACE MANAGEMENT AUTO;
spool off
!
